#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="loop_0" type="loop" x="-57.000000" y="98.000000">
      <Parameter name="DOWHILE" type="bool" value="" description="No description available"/>
      <Parameter name="int:MAX_ITER" type="subnet_param" value="int:ARG1" description="Number of iteration to do (max)"/>
    </Node>
    <NetOutput name="OUTPUT" node="loop_0" terminal="OUTPUT" object_type="any" description="No description available"/>
    <NetOutput name="OUTPUT2" node="loop_0" terminal="OUTPUT2" object_type="any" description="No description available"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 1.2.0" label="Automatic-note"/>
  </Network>
  <Network type="iterator" name="loop">
    <Node name="MatrixToMap_0" type="MatrixToMap" x="-108.000000" y="198.000000"/>
    <Node name="AudioStreamFromMic_1" type="AudioStreamFromMic" x="-180.000000" y="114.000000">
      <Parameter name="LENGTH" type="int" value="512" description="The frame length of each channel (in samples) [default: 512]."/>
      <Parameter name="ADVANCE" type="int" value="160" description="The shift length beween adjacent frames (in samples)[default: 160]."/>
      <Parameter name="CHANNEL_COUNT" type="int" value="4" description="The number of channels."/>
      <Parameter name="SAMPLING_RATE" type="int" value="16000" description="Sampling rate (Hz) [default: 16000]."/>
      <Parameter name="DEVICETYPE" type="string" value="DS" description="Device type (DS, ASIO, WS, RASP24-16, RASP24-32,NETWORK).[default: WS]"/>
      <Parameter name="GAIN" type="string" value="0dB" description="capture gain (dB)  [default: 0dB]."/>
      <Parameter name="DEVICE" type="string" value="Kinect" description="Device name or IP address [default: 127.0.0.1]"/>
    </Node>
    <Node name="SaveWavePCM_2" type="SaveWavePCM" x="2.000000" y="197.000000">
      <Parameter name="BASENAME" type="string" value="rec_each" description="Basename of files. [default: sep_]"/>
      <Parameter name="ADVANCE" type="int" value="160" description="The shift length beween adjacent frames (in samples)[default: 160]."/>
      <Parameter name="SAMPLING_RATE" type="int" value="16000" description="Sampling rate (in samples)[default: 16000]."/>
      <Parameter name="BITS" type="string" value="int16" description="Bit format of samples. int16 , int24 and float32 bits are supported."/>
    </Node>
    <Node name="SaveWavePCM_3" type="SaveWavePCM" x="15.000000" y="107.000000">
      <Parameter name="BASENAME" type="string" value="rec_all" description="Basename of files. [default: sep_]"/>
      <Parameter name="ADVANCE" type="int" value="160" description="The shift length beween adjacent frames (in samples)[default: 160]."/>
      <Parameter name="SAMPLING_RATE" type="int" value="16000" description="Sampling rate (in samples)[default: 16000]."/>
      <Parameter name="BITS" type="string" value="int16" description="Bit format of samples. int16 , int24 and float32 bits are supported."/>
    </Node>
    <Node name="Iterate_4" type="Iterate" x="-78.000000" y="54.000000">
      <Parameter name="MAX_ITER" type="subnet_param" value="int:MAX_ITER" description="Number of iteration to do (max)"/>
    </Node>
    <Link from="MatrixToMap_0" output="OUTPUT" to="SaveWavePCM_2" input="INPUT"/>
    <Link from="AudioStreamFromMic_1" output="AUDIO" to="MatrixToMap_0" input="INPUT"/>
    <Link from="AudioStreamFromMic_1" output="AUDIO" to="SaveWavePCM_3" input="INPUT"/>
    <NetOutput name="OUTPUT" node="SaveWavePCM_3" terminal="OUTPUT" object_type="any" description="No description available"/>
    <NetOutput name="OUTPUT2" node="SaveWavePCM_2" terminal="OUTPUT" object_type="any" description="No description available"/>
    <NetCondition name="CONDITION" node="Iterate_4" terminal="OUTPUT"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 1.2.0" label="Automatic-note"/>
  </Network>
</Document>
